| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Volume::OctreeNodeSplitPolicy Class Reference
Optional Components » Volume

The class deciding on whether to split an octree node or not when building the octree. More...

`#include <OgreVolumeOctreeNodeSplitPolicy.h>`

## Public Member Functions
| OctreeNodeSplitPolicy (const Source *src, const Real maxCellSize)
| Constructur. More...
virtual bool | doSplit (OctreeNode *node, const Real geometricError) const
| Decider for the splitting. More...

## Detailed Description

The class deciding on whether to split an octree node or not when building the octree.

Splitting like Zhang in http://www.andrew.cmu.edu/user/jessicaz/publication/meshing/.

## Constructor & Destructor Documentation

## ◆ OctreeNodeSplitPolicy()

Ogre::Volume::OctreeNodeSplitPolicy::OctreeNodeSplitPolicy | ( | const Source * | src,
|  | const Real | maxCellSize
| ) |  |

Constructur.

Protected to have the initialization.

Parameters

  src | The volume source to decide something.
  maxCellSize | The maximum size when the splitting will stop anyway.

## Member Function Documentation

## ◆ doSplit()

virtual bool Ogre::Volume::OctreeNodeSplitPolicy::doSplit | ( | OctreeNode * | node,
|  | const Real | geometricError
| ) |  | const
| virtual

Decider for the splitting.

Parameters

  node | The split candidate.
  geometricError | The accepted geometric error.

Returns
  true if the node should be split.

The documentation for this class was generated from the following file:

- OgreVolumeOctreeNodeSplitPolicy.h